# Uses of Enum Class
org.apache.sysds.lops.WeightedDivMM.WDivMMType

Packages that use WeightedDivMM.WDivMMType
Package
Description
org.apache.sysds.lops
org.apache.sysds.runtime.matrix.data
org.apache.sysds.runtime.matrix.operators

## Uses of WeightedDivMM.WDivMMType in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return WeightedDivMM.WDivMMType
Modifier and Type
Method
Description
`static WeightedDivMM.WDivMMType`
WeightedDivMM.WDivMMType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WeightedDivMM.WDivMMType[]`
WeightedDivMM.WDivMMType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.lops with parameters of type WeightedDivMM.WDivMMType
Modifier
Constructor
Description
``
`WeightedDivMM(Lop input1, Lop input2, Lop input3, Lop input4, Types.DataType dt, Types.ValueType vt, WeightedDivMM.WDivMMType wt, Types.ExecType et)`
``
`WeightedDivMMR(Lop input1, Lop input2, Lop input3, Lop input4, Types.DataType dt, Types.ValueType vt, WeightedDivMM.WDivMMType wt, boolean cacheU, boolean cacheV, Types.ExecType et)`

## Uses of WeightedDivMM.WDivMMType in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type WeightedDivMM.WDivMMType
Modifier and Type
Method
Description
`static void`
LibMatrixMult.`matrixMultWDivMM(MatrixBlock mW, MatrixBlock mU, MatrixBlock mV, MatrixBlock mX, MatrixBlock ret, WeightedDivMM.WDivMMType wt)`
NOTE: This operation has limited NaN support, which is acceptable because all our sparse-safe operations have only limited NaN support.
`static void`
LibMatrixMult.`matrixMultWDivMM(MatrixBlock mW, MatrixBlock mU, MatrixBlock mV, MatrixBlock mX, MatrixBlock ret, WeightedDivMM.WDivMMType wt, int k)`
NOTE: This operation has limited NaN support, which is acceptable because all our sparse-safe operations have only limited NaN support.

## Uses of WeightedDivMM.WDivMMType in org.apache.sysds.runtime.matrix.operators

Fields in org.apache.sysds.runtime.matrix.operators declared as WeightedDivMM.WDivMMType
Modifier and Type
Field
Description
`final WeightedDivMM.WDivMMType`
QuaternaryOperator.`wtype3`
Constructors in org.apache.sysds.runtime.matrix.operators with parameters of type WeightedDivMM.WDivMMType
Modifier
Constructor
Description
``
`QuaternaryOperator(WeightedDivMM.WDivMMType wt)`
wdivmm
``
`QuaternaryOperator(WeightedDivMM.WDivMMType wt, double epsilon)`
wdivmm w/epsilon